
#define BLUR_SAMPLES	4
#define BLUR_STEP		vec2(0.003, 0.0)

uniform sampler2D texture0;

void main(void)
{
	vec2 texcoord = gl_TexCoord[0].xy;
	vec4 col = texture2D(texture0, texcoord);
	
	for (int i = 1; i < BLUR_SAMPLES+1; i ++)
	{
		float fi = float(i);
		float c = 2.0/fi;
		
		col
			+= texture2D(texture0, texcoord + BLUR_STEP*fi) * c
			+ texture2D(texture0, texcoord - BLUR_STEP*fi) * c;
	}
	
	// Weight each pixel
	gl_FragColor = col * ( 1.0 / (1.0 + 2.0 * float(BLUR_SAMPLES)) );
}
